## Index

### Modules

- cursor

### Classes

- Base
- Doc
- Dot
- HTML
- JSON
- JSONStream
- Landing
- List
- Markdown
- Min
- Nyan
- Progress
- Spec
- TAP
- XUnit

### Interfaces

- ColorMap
- SymbolMap

### Variables

- base
- colors
- doc
- dot
- html
- inlineDiffs
- json
- landing
- markdown
- nyan
- progress
- spec
- symbols
- tap
- useColors
- window
- xunit

### Functions

- color
- generateDiff
- list

## Variables

### Const base

base: Base

- Defined in node_modules/@types/mocha/index.d.ts:1063

### Const colors

colors: ColorMap

- Defined in node_modules/@types/mocha/index.d.ts:735

Default color map

see

  https://mochajs.org/api/module-base#.colors

### Const doc

doc: Doc

- Defined in node_modules/@types/mocha/index.d.ts:1065

### Const dot

dot: Dot

- Defined in node_modules/@types/mocha/index.d.ts:1064

### Const html

html: HTML

- Defined in node_modules/@types/mocha/index.d.ts:1068

### Let inlineDiffs

inlineDiffs: boolean

- Defined in node_modules/@types/mocha/index.d.ts:728

Inline diffs instead of +/-

see

  https://mochajs.org/api/module-base#.inlineDiffs

### Const json

json: JSON

- Defined in node_modules/@types/mocha/index.d.ts:1067

### Const landing

landing: Landing

- Defined in node_modules/@types/mocha/index.d.ts:1075

### Const markdown

markdown: Markdown

- Defined in node_modules/@types/mocha/index.d.ts:1073

### Const nyan

nyan: Nyan

- Defined in node_modules/@types/mocha/index.d.ts:1071

### Const progress

progress: Progress

- Defined in node_modules/@types/mocha/index.d.ts:1074

### Const spec

spec: Spec

- Defined in node_modules/@types/mocha/index.d.ts:1070

### Const symbols

symbols: SymbolMap

- Defined in node_modules/@types/mocha/index.d.ts:780

Default symbol map

see

  https://mochajs.org/api/module-base#.symbols

### Const tap

tap: TAP

- Defined in node_modules/@types/mocha/index.d.ts:1066

### Let useColors

useColors: boolean

- Defined in node_modules/@types/mocha/index.d.ts:721

Enables coloring by default

see

  https://mochajs.org/api/module-base#.useColors

### Const window

window: object

- Defined in node_modules/@types/mocha/index.d.ts:808

Expose terminal window size

see

  https://mochajs.org/api/module-base#.window

#### Type declaration

- ##### width: number

### Const xunit

xunit: XUnit

- Defined in node_modules/@types/mocha/index.d.ts:1072

## Functions

### color

- color(type: string, str: string): string

- - Defined in node_modules/@types/mocha/index.d.ts:801

  Color `str` with the given `type` (from `colors`)

  see

    https://mochajs.org/api/module-base#.color

  #### Parameters

  - ##### type: string

  - ##### str: string

  #### Returns string

### generateDiff

- generateDiff(actual: string, expected: string): string

- - Defined in node_modules/@types/mocha/index.d.ts:849

  Returns a diff between two strings with colored ANSI output.

  see

    https://mochajs.org/api/module-base#.generateDiff

  #### Parameters

  - ##### actual: string

  - ##### expected: string

  #### Returns string

### Const list

- list(failures: Test[]): void

- - Defined in node_modules/@types/mocha/index.d.ts:856

  Output the given `failures` as a list.

  see

    https://mochajs.org/api/Mocha.reporters.Base.html#.exports.list1

  #### Parameters

  - ##### failures: Test[]

  #### Returns void

Generated using TypeDoc